--- a/src/msg.c
+++ b/src/msg.c
@@ -27,7 +27,6 @@
 #include "util.h"
 
 static void zenity_msg_dialog_response (GtkWidget *widget, int response, gpointer data);
-static void zenity_text_size_allocate (GtkWidget *widget, GtkAllocation *allocation, gpointer data);
 static void
 zenity_msg_construct_question_dialog (GtkWidget *dialog, ZenityMsgData *msg_data, ZenityData *data)
 {
@@ -189,8 +188,7 @@
     gtk_widget_set_size_request (GTK_WIDGET (text), data->width, -1);
   else
     if (!msg_data->ellipsize)
-      g_signal_connect_after (G_OBJECT (text), "size-allocate",
-                              G_CALLBACK (zenity_text_size_allocate), data);
+      gtk_label_set_max_width_chars (text, 72);
 
   if (data->modal)
     gtk_window_set_modal (GTK_WINDOW (dialog), TRUE);
@@ -223,12 +221,6 @@
   gtk_main ();
 }
 
-static void 
-zenity_text_size_allocate (GtkWidget *widget, GtkAllocation *allocation, gpointer data)
-{
-  gtk_widget_set_size_request (widget, allocation->width/2, -1);
-}
-
 static void
 zenity_msg_dialog_response (GtkWidget *widget, int response, gpointer data)
 {
